<?php
session_start();
$cod = NULL;
$width = 100;               //Ширина изображения
$height = 80;               //Высота изображения
$font_size = 16;            //Размер шрифта
$let_amount = rand(2,4);            //Количество символов, которые нужно набрать
$fon_let_amount = 15;       //Количество символов на фоне
$fonts = array('core/fonts/2.ttf','core/fonts/Tahoma.ttf');  //Путь к шрифту
$font = $fonts[rand(0,count($fonts)-1)];;  

//набор символов

$letters = array("1","2","3","4","5","6","7","8","9","0");     

//цвета

$colors = array("90","110","130","150","170","190","210"); 

 

$src = imagecreatetruecolor($width,$height);    //создаем изображение              

$fon = imagecolorallocate($src,255,255,255);    //создаем фон

imagefill($src,0,0,$fon);                       //заливаем изображение фоном

$color_p = imagecolorallocatealpha($src,196,196,196,30);
#Добавляем шум
for($i=0;$i<380;$i++){
$x=rand(0,$width);
$y=rand(0,$height);
imagesetpixel($src,$x,$y,$color_p);
}

for($i=0;$i < $fon_let_amount;$i++)          //добавляем на фон буковки

{

//случайный цвет
$color = imagecolorallocatealpha($src,rand(0,255),rand(0,255),rand(0,255),100);
//случайный символ
$letter = $letters[rand(0,sizeof($letters)-1)];
//случайный размер                             
$size = rand($font_size-3,$font_size+2);                                           
imagettftext($src,$size,rand(0,1),
rand($width*0.3,$width-$width*0.3),
rand($height*0.2,$height),$color,$font,$letter);

}

for($i=0;$i < $let_amount;$i++)      //то же самое для основных букв

{

$color = imagecolorallocatealpha($src,$colors[rand(0,sizeof($colors)-1)],

$colors[rand(0,sizeof($colors)-1)],
$colors[rand(0,sizeof($colors)-1)],rand(20,40));
$letter = $letters[rand(0,sizeof($letters)-1)];

$size = rand($font_size*3-3,$font_size*3+3);

$x = ($i+1)*$font_size + rand(1,3);      //даем каждому символу случайное смещение

$y = (($height*2)/3) + rand(0,5);                           

$cod[] = $letter;                        //запоминаем код

imagettftext($src,$size,rand(0,15),$x,$y,$color,$font,$letter);

}

 

$cod = implode("",$cod);                    //переводим код в строку
$_SESSION['code'] = $cod;

header ("Content-type: image/gif");         //выводим готовую картинку

imagegif($src);
/* Очищаем буфер */
imagedestroy($im);

?>